@typeparam TValue
@using Jones.Extensions
@inherits DisplayComponentBase<TValue>

<label @attributes="@AdditionalAttributes" required="@(FieldExpression?.IsHasRequiredAttribute() == true ? "true" : null)">
    @FieldExpression?.GetDisplayName()
    @ChildContent
</label>

@code
{
    [Parameter]
    public RenderFragment? ChildContent { get; set; }
}
